<!-- Start Uploader-->

<!--upload file container takes 4 classes based on the status -->
<!--uploading class ===> progress bar-->
<!--upload-failed class ===> when the upload failed-->
<!--upload-warning class ===> there are warnings in the file uploaded-->
<!--uploaded class ===> when the file was uploaded successfully -->
<div class="upload-file-container" [ngClass]="{
  'uploading':  false , 'uploaded': fileBinary.content ,
  'upload-warning': false, 'upload-failed': false}">

  <!-- before-upload -->
  <div class="uploading-item before-upload" (click)="fileAttached.click()">
    <div class="align-items-center d-flex px-md-3 px-1">
      <img class="mr-md-3 mr-2" src="assets/images/upload-to-cloud.svg" alt="">
      <p class="text-color-onyx-imp font-16 font-md-13 text-center mb-0 font-weight-light">
        Drag and Drop file here <span class="font-weight-bold">or Browse</span>
      </p>
    </div>
    <input type="file" class="none-display" (change)="onHandleFileInput($event.target.files)"
      (click)="fileAttached.value = null" #fileAttached>
  </div>

  <!-- uploading-progress -->
  <!-- <div class="uploading-item" [ngClass]="{'uploading-progress': uploadingFile}">
<span class="progress-number">{{fileProgressNumber}}%</span>
<div class="font-20 font-md-16 font-weight-500 uploaded-text">Uploaded</div>
<div class="progress-bar"></div>
</div> -->

  <!-- uploading-failed -->
  <!-- <div class="uploading-item" [ngClass]="{'uploading-failed': uploadFailedFile}">
<div class="align-items-center d-flex px-3 flex-column" (click)="removeFromAttached()">
<p class="d-flex align-items-center font-20 font-md-16 font-weight-500 text-color-off-white mb-0">
<img class="mx-2" src="assets/images/upload-failed.svg" alt="">Uploading Failed
</p>
<p class="font-14-imp check-connection-msg text-center text-color-off-white mb-0">
<img src="assets/images/refresh-cw.svg" alt="">
<span class="mx-2">
Check your connection and try again
</span>
</p>
</div>
</div> -->

  <!-- uploading-warning -->
  <!-- <div class="uploading-item" [ngClass]="{'uploading-warning': uploadWarningFile}" (click)="removeFromAttached()">
<div class="align-items-center d-flex px-3 flex-column">
<p
class="d-flex align-items-center font-20 font-md-16 text-color-onyx-imp font-weight-500 text-color-off-white mb-0">
<span class="mx-2">
<svg width="22.036" height="17.149">
  <g id="upload-to-cloud" transform="translate(0.25 0.25)" opacity="0.87">
    <path id="Path_2616" data-name="Path 2616"
      d="M16.62,38.86a5.873,5.873,0,0,0-11.72,0,5.6,5.6,0,0,0,.708,11.165h8.528a.439.439,0,1,0,0-.879H5.608A4.726,4.726,0,0,1,5.351,39.7a.439.439,0,0,0,.416-.439c0-.009,0-.017,0-.026a4.994,4.994,0,0,1,9.988,0c0,.008,0,.017,0,.024a.439.439,0,0,0,.417.439,4.725,4.725,0,0,1,2.74,8.387.439.439,0,1,0,.554.681A5.6,5.6,0,0,0,16.62,38.86Z"
      transform="translate(0 -33.378)" fill="#1d252d" stroke="#1d252d" stroke-width="0.5" />
    <path id="Path_2617" data-name="Path 2617"
      d="M140.966,135.758v8.673a.68.68,0,0,0,1.36,0v-8.673a.68.68,0,0,0-1.36,0Z"
      transform="translate(-130.886 -130.234)" fill="#1d252d" stroke="#1d252d" stroke-width="0.5" />
    <path id="Path_2618" data-name="Path 2618"
      d="M115.11,111.138a.68.68,0,0,0,.481-1.161l-3.89-3.89a.68.68,0,0,0-.962,0l-3.89,3.89a.68.68,0,0,0,.962.962l3.409-3.409,3.409,3.409A.679.679,0,0,0,115.11,111.138Z"
      transform="translate(-100.458 -101.324)" fill="#1d252d" stroke="#1d252d" stroke-width="0.5" />
  </g>
</svg>
</span>Sorry
</p>
<p class="font-14-imp font-md-12-imp text-color-onyx-imp text-center text-color-off-white mb-0">
<span class="mx-2">
It looks like we don't support this file format
</span>
</p>
</div>
</div> -->

  <!-- uploading-done -->
  <div class="uploading-item" [ngClass]="{'uploading-done': fileBinary.content}">
    <div class="uploaded-file-icon">
      <img *ngIf="fileBinary.extension === 'pdf'" src="assets/images/pdf-file-icon.svg" alt="" />
      <img *ngIf="fileBinary.extension === 'doc' || fileBinary.extension === 'docx'"
        src="assets/images/doc-file-icon.svg" alt="" />
      <img *ngIf="fileBinary.extension === 'jpg' || fileBinary.extension === 'jpeg' || fileBinary.extension === 'png'"
        [src]="fileBase64" alt="" />
    </div>
    <div class="flex-grow-1 mx-3 elpsis-text">
      <p class="font-18 font-md-16 font-weight-500 text-color-onyx mb-0" title="{{ fileBinary.content?.name }}">
        {{ fileBinary.content?.name }}
      </p>
      <span class="font-md-14 font-weight-500 text-color-dark-gray">{{ fileBinary?.size }}</span>
    </div>
    <div class="d-flex align-items-start align-self-start">
      <!-- <button *ngIf="fileAttachedResp?.attachmentId" (click)="downloadDoc(fileAttachedResp?.attachmentId)"
class="uploaded-file-actions">
<svg width="14.909" height="12.331">
<g id="Icon_feather-download-cloud" data-name="Icon feather-download-cloud"
  transform="translate(0.746 0.663)">
  <path id="Path_2978" data-name="Path 2978" d="M12,25.5l2.447,2.447L16.893,25.5"
    transform="translate(-7.713 -16.929)" fill="none" stroke="#a54ee1" stroke-linecap="round"
    stroke-linejoin="round" stroke-width="1.3" />
  <path id="Path_2979" data-name="Path 2979" d="M18,18v5.505" transform="translate(-11.266 -12.488)"
    fill="none" stroke="#a54ee1" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.3" />
  <path id="Path_2980" data-name="Path 2980"
    d="M13.652,13.72a3.058,3.058,0,0,0-1.762-5.56H11.12a4.893,4.893,0,1,0-8.4,4.459"
    transform="translate(-1.486 -4.482)" fill="none" stroke="#a54ee1" stroke-linecap="round"
    stroke-linejoin="round" stroke-width="1.3" />
</g>
</svg>
</button> -->
      <button class="uploaded-file-actions" (click)="removeFromAttached()">
        <svg id="Group_10788" data-name="Group 10788" xmlns="http://www.w3.org/2000/svg" width="14.445" height="14.445"
          viewBox="0 0 15.445 15.445">
          <path id="Path_9541" data-name="Path 9541"
            d="M13.949,18.974H7.407A1.847,1.847,0,0,1,5.563,17.3L4.5,6.679A.617.617,0,0,1,5.118,6H16.238a.618.618,0,0,1,.615.679L15.794,17.3a1.848,1.848,0,0,1-1.844,1.67ZM5.8,7.236l.992,9.946a.617.617,0,0,0,.615.557h6.543a.617.617,0,0,0,.615-.557l.992-9.946Z"
            transform="translate(-2.955 -3.529)" fill="#a54ee1" />
          <path id="Path_9542" data-name="Path 9542"
            d="M16.827,7.236H2.618A.618.618,0,0,1,2.618,6h14.21a.618.618,0,0,1,0,1.236Z"
            transform="translate(-2 -3.529)" fill="#a54ee1" />
          <path id="Path_9543" data-name="Path 9543"
            d="M14.118,18.032a.618.618,0,0,1-.618-.618v-6.8a.618.618,0,0,1,1.236,0v6.8A.618.618,0,0,1,14.118,18.032Z"
            transform="translate(-6.395 -5.058)" fill="#a54ee1" />
          <path id="Path_9544" data-name="Path 9544"
            d="M10.235,18.032a.618.618,0,0,1-.615-.562L9,10.673a.618.618,0,1,1,1.231-.111l.618,6.8a.618.618,0,0,1-.616.673Z"
            transform="translate(-4.675 -5.058)" fill="#a54ee1" />
          <path id="Path_9545" data-name="Path 9545"
            d="M17.618,18.032A.618.618,0,0,1,17,17.359l.618-6.8a.618.618,0,1,1,1.231.111l-.618,6.8A.618.618,0,0,1,17.618,18.032Z"
            transform="translate(-7.733 -5.058)" fill="#a54ee1" />
          <path id="Path_9546" data-name="Path 9546"
            d="M15.178,5.707H9.618A.618.618,0,0,1,9,5.089V2.618A.618.618,0,0,1,9.618,2h5.56a.618.618,0,0,1,.618.618V5.089A.618.618,0,0,1,15.178,5.707ZM10.236,4.471H14.56V3.236H10.236Z"
            transform="translate(-4.675 -2)" fill="#a54ee1" />
        </svg>
      </button>
    </div>
  </div>
</div>
<!--End Uploader-->